=== debian/changelog ===
ignition-rendering (6.1.0+ds-0ubuntu2) jammy; urgency=medium

  * Inject OGRE2_RESOURCE_PATH to solve problems with ogre-next pkg-config files
  * Fix the patch for a complete linking with ogre-next libraries (LP: #1967888)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Apr 2022 23:20:46 +0200

ignition-rendering (6.1.0+ds-0ubuntu1) jammy; urgency=medium

  * Initial import (LP: #1960260)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 25 Dec 2021 22:39:03 +0000
