=== debian/control ===
Source: ignition-rendering
Maintainer: Ubuntu developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               debhelper-compat (= 13),
               freeglut3-dev,
               fonts-liberation2,
               libfreeimage-dev,
               libignition-cmake-dev (>= 2.3.0),
               libignition-common-dev (>= 4.0.0),
               libignition-math-dev (>= 6.9.0),
               libignition-plugin-dev,
               libglew-dev,
               libgtest-dev,
               libogre-1.9-dev,
               libogre-next-dev,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-rendering
Vcs-Bzr: lp:~j-rivero/+junk/ignition-rendering
Homepage: https://ignitionrobotics.org/libs/rendering

Package: libignition-rendering-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.3.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.9.0),
         libignition-rendering6-6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering classes and functions - Core development files
 Ignition Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Ignition rendering is a component in the ignition framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-rendering6-6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering classes and functions for robot apps - Shared library
 Ignition Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Ignition rendering is a component in the ignition framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-rendering-ogre1-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.3.0),
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.9.0),
         libogre-1.9-dev,
         libignition-rendering-core-dev (= ${binary:Version}),
         libignition-rendering6-ogre1-6 (= ${binary:Version}),
         fonts-liberation2,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering classes and functions for robot apps - Development files
 Ignition Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Ignition rendering is a component in the ignition framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Ogre1 component development files

Package: libignition-rendering6-ogre1-6
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering classes and functions for robot apps - Development files
 Ignition Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Ignition rendering is a component in the ignition framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Ogre1 component shared library

Package: libignition-rendering-ogre2-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.3.0),
         libignition-common-dev (>= 4.0.0),
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.9.0),
         libogre-next-dev,
         libignition-rendering-core-dev (= ${binary:Version}),
         libignition-rendering6-ogre2-6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering classes and functions for robot apps - Development files
 Ignition Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Ignition rendering is a component in the ignition framework, a
 set of libraries designed to rapidly develop robot applications.
 Ignition rendering is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Ogre2 component development files

Package: libignition-rendering6-ogre2-6
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering classes and functions for robot apps - Development files
 Ignition Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Ignition rendering is a component in the ignition framework, a
 set of libraries designed to rapidly develop robot applications.
 Ignition rendering is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Ogre2 component shared library

Package: libignition-rendering-dev
Architecture: any
Section: libdevel
Depends: libignition-rendering-core-dev (= ${binary:Version}),
         libignition-rendering-ogre1-dev (= ${binary:Version}),
         libignition-rendering-ogre2-dev (= ${binary:Version}),
         libignition-rendering6-6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering classes and functions for robot apps - Metapackage
 Ignition Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Ignition rendering is a component in the ignition framework, a
 set of libraries designed to rapidly develop robot applications.
 Ignition rendering is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage for development files
